<div class="sign-off-follow-up">
  <app-content-banner [isDashboard]="false" pageName="Sign-Off / Follow-Up"></app-content-banner>
  <mat-card class="sign-off-follow-up-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <det-client-banner [isHousingProgramType]="true"></det-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="tabChanged()">
        <!--Sign-Off Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Sign-Off</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="sign-off-follow-up-small-box mat-elevation-z4" fxLayout="column">
                <div class="sign-off-follow-up-container mat-elevation-z4">
                  <form class="section" [formGroup]="signOffGroup">
                    <!-- Document Package -->
                    <mat-card class="mat-elevation-z4 margin-top-10">
                      <h4 class="label-color-red">Please review the Determination Package Documents. Once reviewed check
                        the Sign Off checkbox and Sign Off button below.</h4>

                      <mat-expansion-panel [expanded]="signOffDocumentsExpanded"
                        (opened)="signOffDocumentsExpanded = true" (closed)="signOffDocumentsExpanded = false">
                        <mat-expansion-panel-header>
                          <mat-panel-title>
                            <mat-icon>{{signOffDocumentsExpanded  ? 'indeterminate_check_box' : 'add_box' }}
                            </mat-icon>
                            <span class="signOff-expansion-label">Determination Package Documents</span>
                          </mat-panel-title>
                        </mat-expansion-panel-header>
                        <section *ngIf="signOffDocuments.pactApplicationId > 0">
                          <app-det-housing-determination-documents
                            [housingDeterminationDocumentsData]="signOffDocuments" [isAgencySiteVisible]="false">
                          </app-det-housing-determination-documents>
                        </section>
                      </mat-expansion-panel>

                    </mat-card>

                    <br>
                    <!-- Sign Off Section -->
                    <mat-card class="mat-elevation-z4">
                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="20">
                          <span fxFlex="100" class="column-label label-color-red">Sign Off : </span>
                        </div>
                        <div fxFlex="20">
                          <mat-checkbox class="checkbox-style" formControlName="signOff"
                            (change)="onSignOffChange($event)">
                          </mat-checkbox>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="20">
                          <span fxFlex="100" class="column-label label-color-red">Sign Off Date : </span>
                        </div>

                        <div fxFlex="20">
                          <span fxFlex="100">{{ signOffDate | date:'MM/dd/yyyy' }}</span>
                        </div>

                        <div fxFlex="20">
                          <span fxFlex="100" class="column-label">Sign Off Update : </span>
                        </div>

                        <div fxFlex="40">
                          <span fxFlex="100">{{ signOffUpdatedDate | date:'MM/dd/yyyy' }}</span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="20">
                          <span fxFlex="100" class="column-label label-color-red">Reviewer : </span>
                        </div>

                        <div fxFlex="20">
                          <span fxFlex="100">{{ signOffByName }}</span>
                        </div>

                        <div fxFlex="20">
                          <span fxFlex="100" class="column-label">Update Reviewer : </span>
                        </div>

                        <div fxFlex="40">
                          <span fxFlex="100">{{ signOffUpdatedByName }}</span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="20">
                          <span fxFlex="100" class="column-label">Determination Date : </span>
                        </div>

                        <div fxFlex="20">
                          <!-- <span fxFlex="100">{{ signOffDate }}</span> -->
                          <span fxFlex="100">{{ determinationDate | date:'MM/dd/yyyy' }}</span>
                        </div>

                        <div fxFlex="20">
                          <span fxFlex="100" class="column-label">Approval Period : </span>
                        </div>

                        <div fxFlex="10">
                          <span fxFlex="100">{{ approvalFrom }}</span>
                        </div>

                        <div fxFlex="5">
                          <span fxFlex="100">To : </span>
                        </div>

                        <div fxFlex="10">
                          <span fxFlex="100">{{ approvalTo }}</span>
                        </div>
                      </div>
                    </mat-card>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--Follow-Up Tab-->
        <mat-tab *ngIf="isFollowUpTabVisible">
          <ng-template matTabLabel>
            <span>Follow-Up</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="sign-off-follow-up-small-box mat-elevation-z4" fxLayout="column">
                <div class="sign-off-follow-up-container mat-elevation-z4">
                  <form class="section" [formGroup]="followUpReasonGroup">
                    <!-- Follow Up Action Section -->
                    <mat-card class="mat-elevation-z4 margin-top-10" *ngIf="isFollowUpAction">
                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="100">
                          <span fxFlex="100" class="column-label"><b>Follow- Up Action</b></span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="100">
                          <span fxFlex="100" class="margin-top-10">
                            <mat-radio-group aria-label="Select an option" formControlName="followUpAction">
                              <div class="radio-button-space">
                                <mat-radio-button value="signOff" (click)="followUpActionSelected('signOff')">Sign Off
                                </mat-radio-button>
                              </div>
                              <div class="radio-button-space">
                                <mat-radio-button value="followUp" (click)="followUpActionSelected('followUp')">
                                  Follow-Up
                                </mat-radio-button>
                              </div>
                            </mat-radio-group>
                          </span>
                        </div>
                      </div>
                    </mat-card>

                    <!-- Sign Off Section -->
                    <mat-card class="mat-elevation-z4 margin-top-10" *ngIf="isSignOffSelected">
                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="100">
                          <span fxFlex="100" class="column-label"><b>Sign Off</b></span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="10">
                          <span fxFlex="100" class="margin-top-10 margin-right-15">
                            <mat-label class="column-label label-color-red">Reason:</mat-label>
                          </span>
                        </div>
                        <div fxFlex="80">
                          <span fxFlex="100" class="margin-top-10">
                            <mat-form-field appearance="outline">
                              <mat-select placeholder="Select" formControlName="signOffReasonID">
                                <mat-option *ngFor="let signOffDropDownReason of signOffDropDownReasons"
                                  [value]="signOffDropDownReason.refGroupDetailID">
                                  {{ signOffDropDownReason.refGroupDetailDescription }}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div>
                          <span fxFlex="100" class="column-label margin-right-15">
                            <mat-label>Determination Decision By:</mat-label>
                          </span>
                        </div>

                        <div>
                          <span fxFlex="100"
                            class="column-label margin-right-30">{{ determinationDecisionByName }}</span>
                        </div>

                        <div>
                          <span fxFlex="100" class="column-label margin-right-15">
                            <mat-label>Date of Determination:</mat-label>
                          </span>
                        </div>

                        <div>
                          <span fxFlex="100" class="column-label margin-right-30">{{ dateOfDetermination }}</span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="10">
                          <span fxFlex="100" class="column-label margin-top-10 margin-right-15">
                            <mat-label class="column-label label-color-red">Comment : </mat-label>
                          </span>
                        </div>

                        <div fxFlex="100">
                          <span fxFlex="100" class="column-label margin-right-30">
                            <mat-form-field appearance="outline" class="textarea">
                              <textarea matTextareaAutosize matAutosizeMinRows="3" matAutosizeMaxRows="6" matInput
                                #comment name="comment" required maxlength="2000"
                                formControlName="signOffComment"></textarea>
                            </mat-form-field>
                          </span>
                        </div>
                      </div>

                    </mat-card>

                    <!-- Follow Up Section -->
                    <mat-card class="mat-elevation-z4 margin-top-10" *ngIf="isFollowUpSelected">
                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="100">
                          <span fxFlex="100" class="column-label"><b>Follow Up</b></span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="10">
                          <span fxFlex="100" class="margin-top-10 margin-right-15">
                            <mat-label class="column-label label-color-red">Reason:</mat-label>
                          </span>
                        </div>
                        <div fxFlex="80">
                          <span fxFlex="100" class="margin-top-10 margin-right-30">
                            <mat-form-field appearance="outline">
                              <mat-select placeholder="Select" formControlName="followUpReasonID">
                                <mat-option *ngFor="let followUpDropDownReason of followUpDropDownReasons"
                                  [value]="followUpDropDownReason.refGroupDetailID">
                                  {{ followUpDropDownReason.refGroupDetailDescription }}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div>
                          <span fxFlex="100" class="column-label margin-right-15">
                            <mat-label>Follow Up By:</mat-label>
                          </span>
                        </div>

                        <div>
                          <span fxFlex="100" class="column-label margin-right-30">{{ followUpByName }}</span>
                        </div>

                        <div>
                          <span fxFlex="100" class="column-label margin-right-15">
                            <mat-label class="label-color-red">Assign To:</mat-label>
                          </span>
                        </div>

                        <div>
                          <span fxFlex="100" class="column-label margin-right-30">
                            <mat-form-field appearance="outline">
                              <mat-select placeholder="Select" formControlName="followUpAssignedTo">
                                <mat-option *ngFor="let reviewer of assignedToReviewer" [value]="reviewer.optionUserID">
                                  {{ reviewer.optionUserName }}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </span>
                        </div>

                        <div>
                          <span fxFlex="100" class="column-label margin-right-15">
                            <mat-label>Date Assigned:</mat-label>
                          </span>
                        </div>

                        <div>
                          <span fxFlex="100" class="column-label margin-right-30">{{ dateAssigned }}</span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="10">
                          <span fxFlex="100" class="column-label margin-top-10 margin-right-15">
                            <mat-label class="column-label label-color-red">Comment : </mat-label>
                          </span>
                        </div>

                        <div fxFlex="100">
                          <span fxFlex="100" class="column-label margin-right-30">
                            <mat-form-field appearance="outline" class="textarea">
                              <textarea matTextareaAutosize matAutosizeMinRows="3" matAutosizeMaxRows="6" matInput
                                #comment name="comment" required maxlength="2000"
                                formControlName="followUpComment"></textarea>
                            </mat-form-field>
                          </span>
                        </div>
                      </div>

                    </mat-card>

                    <!-- Response To Follow Up Section -->
                    <mat-card class="mat-elevation-z4 margin-top-10" *ngIf="isResponseToFollowUp">
                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="100">
                          <span fxFlex="100" class="column-label"><b>Response to Follow Up</b></span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="10">
                          <span fxFlex="100" class="margin-top-10 margin-right-15">
                            <mat-label class="column-label label-color-red">Reason:</mat-label>
                          </span>
                        </div>
                        <div fxFlex="80">
                          <span fxFlex="100" class="margin-top-10 margin-right-30">
                            <mat-form-field appearance="outline">
                              <mat-select placeholder="Select" formControlName="responseToFollowUpReasonID">
                                <mat-option
                                  *ngFor="let responseToFollowUpDropDownReason of responseToFollowUpDropDownReasons"
                                  [value]="responseToFollowUpDropDownReason.refGroupDetailID">
                                  {{ responseToFollowUpDropDownReason.refGroupDetailDescription }}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div>
                          <span fxFlex="100" class="column-label margin-right-15">
                            <mat-label>Response Follow Up By:</mat-label>
                          </span>
                        </div>

                        <div>
                          <span fxFlex="100" class="column-label margin-right-30">{{responseTofollowUpByName}}</span>
                        </div>

                        <div>
                          <span fxFlex="100" class="column-label margin-right-15">
                            <mat-label>Assign To:</mat-label>
                          </span>
                        </div>

                        <!-- <div fxFlex="30">
                          <span fxFlex="100" class="column-label">
                            <mat-form-field appearance="outline">
                              <mat-select placeholder="Select" formControlName="responseToFollowUpAssignedTo">
                                <mat-option *ngFor="let supervisor of assignedToSupervisor"
                                  [value]="supervisor.optionUserID">
                                  {{ supervisor.optionUserName }}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </span>
                        </div> -->
                        <div>
                          <span fxFlex="100" class="margin-right-30">{{ assignedToSupervisorName }}</span>
                        </div>

                        <div>
                          <span fxFlex="100" class="column-label margin-right-15">
                            <mat-label>Date of Response :</mat-label>
                          </span>
                        </div>

                        <div>
                          <span fxFlex="100" class="column-label margin-right-30">{{ dateOfResponse }}</span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="10">
                          <span fxFlex="100" class="column-label margin-top-10 margin-right-15">
                            <mat-label class="label-color-red">Comment :</mat-label>
                          </span>
                        </div>

                        <div fxFlex="100">
                          <span fxFlex="100">
                            <mat-form-field appearance="outline" class="textarea">
                              <textarea matTextareaAutosize matAutosizeMinRows="3" matAutosizeMaxRows="6" matInput
                                #comment name="comment" required maxlength="2000"
                                formControlName="responseToFollowUpComment"></textarea>
                            </mat-form-field>
                          </span>
                        </div>
                      </div>

                    </mat-card>

                    <!-- Current Referral Action History -->
                    <mat-card class="mat-elevation-z4 margin-top-10">
                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="100">
                          <span fxFlex="100" class="column-label"><b>Current Referral Action History</b></span>
                        </div>
                      </div>

                      <div fxLayout="row" class="div-line-height">
                        <div fxFlex="100">
                          <span fxFlex="100" class="margin-top-10">
                            <ag-grid-angular #agGrid class="ag-theme-balham" style="width: 100%"
                              [columnDefs]="columnDefs" [defaultColDef]="defaultColDef" [rowData]="rowData"
                              [context]="context" [rowSelection]="rowSelection" [gridOptions]="gridOptions"
                              (gridReady)="onGridReady($event)">
                            </ag-grid-angular>
                          </span>
                        </div>
                      </div>
                    </mat-card>

                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
    <div class="content-main">
      <div class="content-sub">
        <div class="content-sub-button-parent-left" *ngIf="tabSelectedIndex === 0">
          <button type="button" mat-raised-button color="primary" (click)="saveSignOff(0)" matTooltip="Sign Off"
            matTooltipClass="pact-tooltip" [disabled]="isSignOffDisabled">Sign Off</button>
        </div>
        <div class="content-sub-button-parent-left" *ngIf="tabSelectedIndex === 1 && !isFollowUpAction">
          <button type="button" mat-raised-button color="primary" (click)="saveFollowUp()"
            matTooltip="{{ isSignOffSelected === true ? 'Sign Off' : 'Save' }}" matTooltipClass="pact-tooltip">
            {{ isSignOffSelected === true ? 'Sign Off' : 'Save' }}</button>
          &nbsp;&nbsp;
          <button type="button" mat-raised-button color="primary" (click)="cancel()" matTooltip="Cancel"
            matTooltipClass="pact-tooltip">Cancel</button>
        </div>
        <div class="content-sub-button-parent-right">
          <button type="button" mat-raised-button color="primary" (click)="previousTab()" matTooltip="Previous"
            matTooltipClass="pact-tooltip">Previous</button>
          &nbsp;&nbsp;
          <span *ngIf="tabSelectedIndex === 0 && isFollowUpTabVisible">
            <button type="button" mat-raised-button color="primary" (click)="nextTab()" matTooltip="Next"
              matTooltipClass="pact-tooltip">Next</button>
          </span>
        </div>
      </div>
    </div>
  </mat-card>
</div>